The command to follow link does not work

Bug #944787 reported by Christopher Yeleighton on 2012-03-02
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Inkscape
Low
jazzynico
inkscape (openSUSE)
Won't Fix
Medium

Bug Description

I create a document with a hyperlink. I tell the hyperlink to follow. Nothing happens.
I load the document into Inkview and click no the hyperlink. Nothing happens either.

Name : inkscape
Version : 0.48.2
Release : 2.1.2
Architecture: x86_64
Install Date: Mon Jan 16 22:18:09 2012
Group : Productivity/Graphics/Vector Editors
Size : 61848048
License : GPLv2 ; LGPLv2.1
Signature : RSA/SHA256, Sun Oct 30 05:19:19 2011, Key ID b88b2fd43dbdc284
Source RPM : inkscape-0.48.2-2.1.2.src.rpm
Build Date : Sun Oct 30 05:09:09 2011
Build Host : build31
Relocations : (not relocatable)
Packager : http://bugs.opensuse.org
Vendor : openSUSE
URL : http://www.inkscape.org/
Summary : Vector Illustration Program
Description :
Inkscape is a vector illustration program for the GNOME desktop.
Distribution: openSUSE 12.1

Tags: ui Edit Tag help

Created an attachment (id=479158)
result

User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:10.0.2) Gecko/20100101 Firefox/10.0.2

I create a document with a hyperlink. I tell the hyperlink to follow. Nothing happens.
I load the document into Inkview and click no the hyperlink. Nothing happens either.

Reproducible: Always

Steps to Reproduce:
  1. Tell Inkscape to create a new text document.
  2. Tell Inkscape to insert a new text box containing "INKSCAPE'.
  3. The text box to hyperlink to <URL: http://inkscape.org/ >.
  4. Tell the hyperlink to follow.
Actual Results:
  4. Nothing happens.

Expected Results:
  4. Let the desktop environment open the hyperlink.

Workaround: Tell the hyperlink to edit properties and take the URL from there.

Bug created for the sake of Launchpad tracker.

jazzynico (jazzynico) wrote :

Apparently, the function is not fully implemented (src/ui/context-menu.cpp, line 362):

---
static void sp_anchor_link_follow(GtkMenuItem */*menuitem*/, SPAnchor *anchor)
{
    g_return_if_fail(anchor != NULL);
    g_return_if_fail(SP_IS_ANCHOR(anchor));

    /* shell out to an external browser here */
}
---

tags: added: ui
removed: command hyperlink
Changed in inkscape:
importance: Undecided → Low
status: New → Triaged
jazzynico (jazzynico) wrote :

Proposing to change status to Wishlist and disable the command in the context menu.

Changed in inkscape (openSUSE):
importance: Unknown → Medium
status: Unknown → Won't Fix
jazzynico (jazzynico) wrote :

I'll try to reuse the extension system to open the links (that's how most help menu entries work).

Changed in inkscape:
assignee: nobody → JazzyNico (jazzynico)
milestone: none → 0.49
jazzynico (jazzynico) on 2012-05-23
Changed in inkscape:
status: Triaged → In Progress
jazzynico (jazzynico) wrote :

Patch attached.
Tested on Windows XP, Inkscape trunk revision 11562.

The document linked is opened with the default application (OS defined) depending on the file type.
Doesn't work correctly when opening more than one link at a time (at least on XP).

Please test!

jazzynico (jazzynico) wrote :

Updating patch so that it works with 11573.
Tested with Ubuntu 11.04, but here again, doesn't work with multiple simultaneous links.

jazzynico (jazzynico) wrote :

Fix committed revision 11684.
Known limitation: doesn't work with more than one link at a time.

Tested on Windows XP (Internet Explorer) and Ubuntu 11.04 (Firefox).

Changed in inkscape:
status: In Progress → Fix Committed
jazzynico (jazzynico) on 2015-02-14
Changed in inkscape:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.